AppletEvent (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework
Interface AppletEvent

    @TransactionType(value=NOT_SUPPORTED)
    public interface AppletEvent

The `AppletEvent` interface provides a callback interface for the Java Card runtime environment to inform the applet about life cycle events. An applet instance - subclass of `Applet` - should implement this interface if it needs to be informed about supported life cycle events.

See Runtime Environment Specification, Java Card Platform, Connected Edition, chapter 8, for details.

Method Summary
`void` | `uninstall()` Called by the Java Card runtime environment to inform this applet instance that the Applet Deletion Manager has been requested to delete it.

Method Detail

### uninstall

    void uninstall()

  Called by the Java Card runtime environment to inform this applet instance that the Applet Deletion Manager has been requested to delete it. This method is invoked by the Applet Deletion Manager before any dependency checks are performed. The Applet Deletion Manager will perform dependency checks upon return from this method. If the dependency check rules disallow it, the applet instance will not be deleted.

  See Runtime Environment Specification, Java Card Platform, Connected Edition, chapter 8 for details.

  This method executes in the context of the applet instance and as the currently selected applet. This method should make changes to state in a consistent manner using the transaction API to ensure atomicity and proper behavior in the event of a tear or reset.

  A subclass of `Applet` should, within this method, perform any cleanup required for deletion such as release resources, backup data, or notify other dependent applets.

  Note:

  - Exceptions thrown by this method are caught by the Java Card runtime environment and ignored.
  - The Java Card runtime environment will not rollback state automatically if applet deletion fails.
  - This method may be called by the Java Card runtime environment multiple times, once for each attempt to delete this applet instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.